/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.email.boundary;

import de.ivu.elect.business.email.entity.EmailLayout;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class EmailLayoutDAO extends AbstractEmailLayoutDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(EmailLayout emailLayout){
    getEntityManager().persist(emailLayout);
  }

  public void remove(EmailLayout emailLayout){
    getEntityManager().remove(emailLayout);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: AllOrderByBezeichnungNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: select o from EmailLayout o order by o.bezeichnung<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<EmailLayout> findByAllOrderByBezeichnung() {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("EmailLayout.findByAllOrderByBezeichnung"  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByAllOrderByBezeichnung( ));
        }
        return (java.util.List<EmailLayout>) cached;
        }
            return super.findByAllOrderByBezeichnung( );
            }
                                                                                                                                        
        /**
        * Name: VerwendungTypNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: select o from EmailLayout o where o.verwendungTyp=?1<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<EmailLayout> findByVerwendungTyp( @javax.annotation.Nonnull de.ivu.elect.business.email.entity.EmailLayoutVerwendungType emailLayoutVerwendungType) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("EmailLayout.findByVerwendungTyp" ,  emailLayoutVerwendungType  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByVerwendungTyp( emailLayoutVerwendungType  ));
        }
        return (java.util.List<EmailLayout>) cached;
        }
            return super.findByVerwendungTyp( emailLayoutVerwendungType  );
            }
                        
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}